> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/troubleshooting/filter

## OpenAPI

````json GET /v1/troubleshooting/filter
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/troubleshooting/filter": {
      "get": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1TroubleshootingFilterGetResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "v1TroubleshootingFilterGetResponse": {
        "type": "object",
        "properties": {
          "circuits": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonTroubleshootingCircuitFilter"
            }
          },
          "devices": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonTroubleshootingDeviceFilter"
            }
          },
          "lanSegments": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonTroubleshootingLanSegmentFilter"
            }
          },
          "regions": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonTroubleshootingRegionFilter"
            }
          },
          "sites": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonTroubleshootingSiteFilter"
            }
          }
        },
        "additionalProperties": false
      },
      "statsmonTroubleshootingCircuitFilter": {
        "type": "object",
        "properties": {
          "circuitName": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "statsmonTroubleshootingDeviceFilter": {
        "type": "object",
        "properties": {
          "deviceId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "deviceName": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "statsmonTroubleshootingLanSegmentFilter": {
        "type": "object",
        "properties": {
          "lanSegment": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "statsmonTroubleshootingRegionFilter": {
        "type": "object",
        "properties": {
          "region": {
            "$ref": "#/components/schemas/statsmonTroubleshootingRegion"
          }
        },
        "additionalProperties": false
      },
      "statsmonTroubleshootingSiteFilter": {
        "type": "object",
        "properties": {
          "siteId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "siteName": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "statsmonTroubleshootingRegion": {
        "type": "object",
        "properties": {
          "regionId": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "regionName": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

